[FFmpeg-devel] [PATCH v2 1/3] tests/fate-run: add support for specifying the final encode muxer in `transcode`
Jan Ekström
jeebjp at gmail.com
Fri Sep 15 16:16:58 EEST 2023
From: Jan Ekström <jan.ekstrom at 24i.com>
This allows for direct dumping of the packets' contents (useful for
text based formats), while getting the timestamps/sizes etc from
ffprobe.
If used via TRANSCODE, the actually utilized muxer should be added
within the last argument as an additional dependency, as that is not
done automatically.
Signed-off-by: Jan Ekström <jan.ekstrom at 24i.com>
---
tests/fate-run.sh | 4 +++-
1 file changed, 3 insertions(+), 1 deletion(-)
diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index 743d9b3620..9ef1d9b23a 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -257,7 +257,9 @@ transcode(){
additional_input=$7
final_decode=$8
enc_opt_in=$9
+ final_encode_muxer="${10}"
test -z "$additional_input" || additional_input="$DEC_OPTS $additional_input"
+ test -z "$final_encode_muxer" && final_encode_muxer="framecrc"
encfile="${outdir}/${test}.${enc_fmt}"
test $keep -ge 1 || cleanfiles="$cleanfiles $encfile"
tsrcfile=$(target_path $srcfile)
@@ -267,7 +269,7 @@ transcode(){
do_md5sum $encfile
echo $(wc -c $encfile)
ffmpeg $DEC_OPTS $final_decode -i $tencfile $ENC_OPTS $FLAGS $final_encode \
- -f framecrc - || return
+ -f $final_encode_muxer - || return
test -z $ffprobe_opts || \
run ffprobe${PROGSUF}${EXECSUF} -bitexact $ffprobe_opts $tencfile || return
}
--
2.41.0
More information about the ffmpeg-devel
mailing list